Package org.codehaus.groovy.classgen.asm

# Class UnaryExpressionHelper

java.lang.Object
org.codehaus.groovy.classgen.asm.UnaryExpressionHelper

Direct Known Subclasses:
  `StaticTypesUnaryExpressionHelper`

public class UnaryExpressionHelper extends Object
A helper class used to generate bytecode for unary expressions. AST transformations willing to use a custom unary expression helper may set the `WriterControllerFactory` node metadata on a class node to provide a custom `WriterController` which would in turn use a custom expression helper.

Author:
  Cedric Champeau
See Also:
  - `BinaryExpressionHelper`

## Constructor Summary

Constructors
Constructor
Description
`UnaryExpressionHelper(WriterController controller)`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeBitwiseNegate(BitwiseNegationExpression expression)`
`void`
`writeNotExpression(NotExpression expression)`
`void`
`writeUnaryMinus(UnaryMinusExpression expression)`
`void`
`writeUnaryPlus(UnaryPlusExpression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnaryExpressionHelper

public UnaryExpressionHelper(WriterController controller)

## Method Details

### writeUnaryPlus

public void writeUnaryPlus(UnaryPlusExpression expression)

### writeUnaryMinus

public void writeUnaryMinus(UnaryMinusExpression expression)

### writeBitwiseNegate

public void writeBitwiseNegate(BitwiseNegationExpression expression)

### writeNotExpression

public void writeNotExpression(NotExpression expression)